httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Montague <m...@catseye.org>
Subject Re: [users@httpd] Apache 2.4 stability & ErrorLogFormat
Date Thu, 29 Nov 2012 20:36:08 GMT
On November 29, 2012 14:46 , Alvise Nicoletti 
<lists@alvisenicoletti.com> wrote:
> I would like to use the ErrorLogFormat function (a > apache2.4  
> function),
> because I have a lot of php websites in a same Virtual Host / 
> directory and I would like to have better error reporting.
> [...]
>
> So I ask, is 2.4 stable ?
>
> Do you have any tips to workaround the problem maybe with an apache mod ?

What does "stable" mean to you?  For what it is worth, 2.4 is a 
production release of Apache HTTP Server: it is not a development 
version, it is not an alpha version, and it is not a beta version. 
People are using Apache HTTP Server 2.4 successfully in production. I 
have not heard any complaints about it failing to serve its intended 
purpose.

As for workarounds, you could try to backport the feature from 2.4 to 
2.2, but I recommend against this, in general:  if you have to compile 
Apache HTTP Server from source, just compile an unmodified version of 
2.4 -- even counting the cost of learning about the new features and 
making some changes to your existing configuration, I think this will be 
much easier than backporting a feature to 2.2 and then supporting it 
yourself in-house long term.

--
   Mark Montague
   mark@catseye.org


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message